diff --git a/main.asm b/main.asm
index 0d81c646..b3e2074b 100755
--- a/main.asm
+++ b/main.asm
@@ -94690,7 +96963,7 @@ Unknown_5dc2a: ; 5dc2a (17:5c2a)
 	call HandleMenuInput
 	bit 1, a
 	jr nz, .asm_5dc93 ; 0x5dc74 $1d
-	ld a, [$cc26]
+	ld a, [wCurrentMenuItem]
 	cp $3
 	jr z, .asm_5dc93 ; 0x5dc7b $16
 	ld hl, $d730
@@ -94906,7 +97179,7 @@ SSAnne9Blocks: ; 603c0 (18:43c0)
 PokemonTower1_h: ; 0x60420 to 0x6042c (12 bytes) (id=142)
 	db $0f ; tileset
 	db POKEMONTOWER_1_HEIGHT, POKEMONTOWER_1_WIDTH ; dimensions (y, x)
-	dw PokemonTower1Blocks, PokemonTower1Texts, PokemonTower1Script ; blocks, texts, scripts
+	dw PokemonTower1Blocks, PokemonTower1TextPointers, PokemonTower1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PokemonTower1Object ; objects
@@ -94914,8 +97187,12 @@ PokemonTower1_h: ; 0x60420 to 0x6042c (12 bytes) (id=142)
 PokemonTower1Script: ; 6042c (18:442c)
 	jp EnableAutoTextBoxDrawing
 
-PokemonTower1Texts: ; 6042f (18:442f)
-	dw PokemonTower1Text1, PokemonTower1Text2, PokemonTower1Text3, PokemonTower1Text4, PokemonTower1Text5
+PokemonTower1TextPointers: ; 6042f (18:442f)
+	dw PokemonTower1Text1
+	dw PokemonTower1Text2
+	dw PokemonTower1Text3
+	dw PokemonTower1Text4
+	dw PokemonTower1Text5
 
 PokemonTower1Text1: ; 60439 (18:4439)
 	TX_FAR _PokemonTower1Text1
@@ -94965,14 +97242,14 @@ PokemonTower1Blocks: ; 6048c (18:448c)
 PokemonTower2_h: ; 0x604e6 to 0x604f2 (12 bytes) (id=143)
 	db $0f ; tileset
 	db POKEMONTOWER_2_HEIGHT, POKEMONTOWER_2_WIDTH ; dimensions (y, x)
-	dw PokemonTower2Blocks, PokemonTower2Texts, PokemonTower2Script ; blocks, texts, scripts
+	dw PokemonTower2Blocks, PokemonTower2TextPointers, PokemonTower2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PokemonTower2Object ; objects
 
 PokemonTower2Script: ; 604f2 (18:44f2)
 	call EnableAutoTextBoxDrawing
-	ld hl, PokemonTower2Scripts
+	ld hl, PokemonTower2ScriptPointers
 	ld a, [W_POKEMONTOWER2CURSCRIPT]
 	jp CallFunctionInTable
 
@@ -94983,14 +97260,16 @@ Func_604fe: ; 604fe (18:44fe)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-PokemonTower2Scripts: ; 60509 (18:4509)
-	dw PokemonTower2Script0, PokemonTower2Script1, PokemonTower2Script2
+PokemonTower2ScriptPointers: ; 60509 (18:4509)
+	dw PokemonTower2Script0
+	dw PokemonTower2Script1
+	dw PokemonTower2Script2
 
 PokemonTower2Script0: ; 6050f (18:450f)
 	ld a, [$d764]
 	bit 7, a
 	ret nz
-	ld hl, Unknown_6055e ; $455e
+	ld hl, CoordsData_6055e ; $455e
 	call ArePlayerCoordsInArray
 	ret nc
 	ld a, $ff
@@ -95025,8 +97304,10 @@ PokemonTower2Script0: ; 6050f (18:450f)
 	ld [H_NEWLYPRESSEDBUTTONS], a
 	ret
 
-Unknown_6055e: ; 6055e (18:455e)
-INCBIN "baserom.gbc",$6055e,$60563 - $6055e
+CoordsData_6055e: ; 6055e (18:455e)
+	db $05,$0F
+	db $06,$0E
+	db $0F ; isn't this supposed to end in $ff?
 
 PokemonTower2Script1: ; 60563 (18:4563)
 	ld a, [$d057]
@@ -95039,11 +97320,11 @@ PokemonTower2Script1: ; 60563 (18:4563)
 	ld a, $1
 	ld [$ff00+$8c], a
 	call DisplayTextID
-	ld de, Unknown_605b2 ; $45b2
+	ld de, MovementData_605b2
 	ld a, [$d764]
 	bit 6, a
 	jr nz, .asm_60589 ; 0x60584 $3
-	ld de, Unknown_605a9 ; $45a9
+	ld de, MovementData_605a9
 .asm_60589
 	ld a, $1
 	ld [$ff00+$8c], a
@@ -95059,11 +97340,11 @@ PokemonTower2Script1: ; 60563 (18:4563)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_605a9: ; 605a9 (18:45a9)
-INCBIN "baserom.gbc",$605a9,$605b2 - $605a9
+MovementData_605a9: ; 605a9 (18:45a9)
+	db $C0,$00,$00,$C0,$00,$00,$C0,$C0,$FF
 
-Unknown_605b2: ; 605b2 (18:45b2)
-INCBIN "baserom.gbc",$605b2,$605bb - $605b2
+MovementData_605b2: ; 605b2 (18:45b2)
+	db $00,$00,$C0,$C0,$C0,$C0,$00,$00,$FF
 
 PokemonTower2Script2: ; 605bb (18:45bb)
 	ld a, [$d730]
@@ -95081,8 +97362,9 @@ PokemonTower2Script2: ; 605bb (18:45bb)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-PokemonTower2Texts: ; 605db (18:45db)
-	dw PokemonTower2Text1, PokemonTower2Text2
+PokemonTower2TextPointers: ; 605db (18:45db)
+	dw PokemonTower2Text1
+	dw PokemonTower2Text2
 
 PokemonTower2Text1: ; 605df (18:45df)
 	db $08 ; asm
@@ -95169,7 +97451,7 @@ PokemonTower2Blocks: ; 60666 (18:4666)
 PokemonTower3_h: ; 0x606c0 to 0x606cc (12 bytes) (id=144)
 	db $0f ; tileset
 	db POKEMONTOWER_3_HEIGHT, POKEMONTOWER_3_WIDTH ; dimensions (y, x)
-	dw PokemonTower3Blocks, PokemonTower3Texts, PokemonTower3Script ; blocks, texts, scripts
+	dw PokemonTower3Blocks, PokemonTower3TextPointers, PokemonTower3Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PokemonTower3Object ; objects
@@ -95177,17 +97459,22 @@ PokemonTower3_h: ; 0x606c0 to 0x606cc (12 bytes) (id=144)
 PokemonTower3Script: ; 606cc (18:46cc)
 	call EnableAutoTextBoxDrawing
 	ld hl, PokemonTower3TrainerHeaders
-	ld de, Unknown_606df
+	ld de, PokemonTower3ScriptPointers
 	ld a, [W_POKEMONTOWER3CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_POKEMONTOWER3CURSCRIPT], a
 	ret
 
-Unknown_606df: ; 606df (18:46df)
-INCBIN "baserom.gbc",$606df,$606e5 - $606df
+PokemonTower3ScriptPointers: ; 606df (18:46df)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-PokemonTower3Texts: ; 606e5 (18:46e5)
-	dw PokemonTower3Text1, PokemonTower3Text2, PokemonTower3Text3, Predef5CText
+PokemonTower3TextPointers: ; 606e5 (18:46e5)
+	dw PokemonTower3Text1
+	dw PokemonTower3Text2
+	dw PokemonTower3Text3
+	dw Predef5CText
 
 PokemonTower3TrainerHeaders: ; 606ed (18:46ed)
 PokemonTower3TrainerHeader0: ; 606ed (18:46ed)
@@ -95216,7 +97503,7 @@ PokemonTower3TrainerHeader2: ; 60705 (18:4705)
 	dw PokemonTower3AfterBattleText3 ; 0x4758 TextAfterBattle
 	dw PokemonTower3EndBattleText3 ; 0x4753 TextEndBattle
 	dw PokemonTower3EndBattleText3 ; 0x4753 TextEndBattle
-db $ff
+	db $ff
 
 PokemonTower3Text1: ; 60712 (18:4712)
 	db $08 ; asm
@@ -95297,7 +97584,7 @@ PokemonTower3Blocks: ; 60790 (18:4790)
 PokemonTower4_h: ; 0x607ea to 0x607f6 (12 bytes) (id=145)
 	db $0f ; tileset
 	db POKEMONTOWER_4_HEIGHT, POKEMONTOWER_4_WIDTH ; dimensions (y, x)
-	dw PokemonTower4Blocks, PokemonTower4Texts, PokemonTower4Script ; blocks, texts, scripts
+	dw PokemonTower4Blocks, PokemonTower4TextPointers, PokemonTower4Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PokemonTower4Object ; objects
@@ -95305,17 +97592,24 @@ PokemonTower4_h: ; 0x607ea to 0x607f6 (12 bytes) (id=145)
 PokemonTower4Script: ; 607f6 (18:47f6)
 	call EnableAutoTextBoxDrawing
 	ld hl, PokemonTower4TrainerHeaders
-	ld de, PokemonTower4Script_Unknown60809
+	ld de, PokemonTower4ScriptPointers
 	ld a, [W_POKEMONTOWER4CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_POKEMONTOWER4CURSCRIPT], a
 	ret
 
-PokemonTower4Script_Unknown60809: ; 60809 (18:4809)
-INCBIN "baserom.gbc",$60809,$6080f - $60809
+PokemonTower4ScriptPointers: ; 60809 (18:4809)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-PokemonTower4Texts: ; 6080f (18:480f)
-	dw PokemonTower4Text1, PokemonTower4Text2, PokemonTower4Text3, Predef5CText, Predef5CText, Predef5CText
+PokemonTower4TextPointers: ; 6080f (18:480f)
+	dw PokemonTower4Text1
+	dw PokemonTower4Text2
+	dw PokemonTower4Text3
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
 
 PokemonTower4TrainerHeaders: ; 6081b (18:481b)
 PokemonTower4TrainerHeader0: ; 6081b (18:481b)
@@ -95345,7 +97639,7 @@ PokemonTower4TrainerHeader2: ; 60833 (18:4833)
 	dw PokemonTower4EndBattleText3 ; 0x4881 TextEndBattle
 	dw PokemonTower4EndBattleText3 ; 0x4881 TextEndBattle
 
-db $ff
+	db $ff
 
 PokemonTower4Text1: ; 60840 (18:4840)
 	db $08 ; asm
@@ -95428,7 +97722,7 @@ PokemonTower4Blocks: ; 608cc (18:48cc)
 PokemonTower5_h: ; 0x60926 to 0x60932 (12 bytes) (id=146)
 	db $0f ; tileset
 	db POKEMONTOWER_5_HEIGHT, POKEMONTOWER_5_WIDTH ; dimensions (y, x)
-	dw PokemonTower5Blocks, PokemonTower5Texts, PokemonTower5Script ; blocks, texts, scripts
+	dw PokemonTower5Blocks, PokemonTower5TextPointers, PokemonTower5Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PokemonTower5Object ; objects
@@ -95436,15 +97730,19 @@ PokemonTower5_h: ; 0x60926 to 0x60932 (12 bytes) (id=146)
 PokemonTower5Script: ; 60932 (18:4932)
 	call EnableAutoTextBoxDrawing
 	ld hl, PokemonTower5TrainerHeaders
-	ld de, PokemonTower5Script_Unknown60945
+	ld de, PokemonTower5ScriptPointers
 	ld a, [W_POKEMONTOWER5CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_POKEMONTOWER5CURSCRIPT], a
 	ret
 
-PokemonTower5Script_Unknown60945: ; 60945 (18:4945)
-INCBIN "baserom.gbc",$60945,$6094b - $60945
-	ld hl, Unknown_60992 ; $4992
+PokemonTower5ScriptPointers: ; 60945 (18:4945)
+	dw PokemonTower5Script0
+	dw Func_324c
+	dw EndTrainerBattle
+
+PokemonTower5Script0: ; 6094b (18:494b)
+	ld hl, CoordsData_60992 ; $4992
 	call ArePlayerCoordsInArray
 	jr c, .asm_60960
 	ld hl, $d72e
@@ -95476,11 +97774,21 @@ INCBIN "baserom.gbc",$60945,$6094b - $60945
 	ld [wJoypadForbiddenButtonsMask], a
 	ret
 
-Unknown_60992: ; 60992 (18:4992)
-INCBIN "baserom.gbc",$60992,$6099b - $60992
+CoordsData_60992: ; 60992 (18:4992)
+	db $08,$0A
+	db $08,$0B
+	db $09,$0A
+	db $09,$0B
+	db $FF
 
-PokemonTower5Texts: ; 6099b (18:499b)
-	dw PokemonTower5Text1, PokemonTower5Text2, PokemonTower5Text3, PokemonTower5Text4, PokemonTower5Text5, Predef5CText, PokemonTower5Text7
+PokemonTower5TextPointers: ; 6099b (18:499b)
+	dw PokemonTower5Text1
+	dw PokemonTower5Text2
+	dw PokemonTower5Text3
+	dw PokemonTower5Text4
+	dw PokemonTower5Text5
+	dw Predef5CText
+	dw PokemonTower5Text7
 
 PokemonTower5TrainerHeaders: ; 609a9 (18:49a9)
 PokemonTower5TrainerHeader0: ; 609a9 (18:49a9)
@@ -95519,7 +97827,7 @@ PokemonTower5TrainerHeader3: ; 609cd (18:49cd)
 	dw PokemonTower5EndBattleText4 ; 0x4a39 TextEndBattle
 	dw PokemonTower5EndBattleText4 ; 0x4a39 TextEndBattle
 
-db $ff
+	db $ff
 
 PokemonTower5Text1: ; 609da (18:49da)
 	TX_FAR _PokemonTower5Text1
@@ -95628,7 +97936,7 @@ PokemonTower5Blocks: ; 60a89 (18:4a89)
 PokemonTower6_h: ; 0x60ae3 to 0x60aef (12 bytes) (id=147)
 	db $0f ; tileset
 	db POKEMONTOWER_6_HEIGHT, POKEMONTOWER_6_WIDTH ; dimensions (y, x)
-	dw PokemonTower6Blocks, PokemonTower6Texts, PokemonTower6Script ; blocks, texts, scripts
+	dw PokemonTower6Blocks, PokemonTower6TextPointers, PokemonTower6Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PokemonTower6Object ; objects
@@ -95636,7 +97944,7 @@ PokemonTower6_h: ; 0x60ae3 to 0x60aef (12 bytes) (id=147)
 PokemonTower6Script: ; 60aef (18:4aef)
 	call EnableAutoTextBoxDrawing
 	ld hl, PokemonTower6TrainerHeaders
-	ld de, Unknown_60b0d ; $4b0d
+	ld de, PokemonTower6ScriptPointers
 	ld a, [W_POKEMONTOWER6CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_POKEMONTOWER6CURSCRIPT], a
@@ -95649,12 +97957,18 @@ Func_60b02: ; 60b02 (18:4b02)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_60b0d: ; 60b0d (18:4b0d)
-INCBIN "baserom.gbc",$60b0d,$60b17 - $60b0d
+PokemonTower6ScriptPointers: ; 60b0d (18:4b0d)
+	dw PokemonTower6Script0
+	dw Func_324c
+	dw EndTrainerBattle
+	dw PokemonTower6Script3
+	dw PokemonTower6Script4
+
+PokemonTower6Script0: ; 60b17 (18:4b17)
 	ld a, [$d768]
 	bit 7, a
 	jp nz, CheckFightingMapTrainers
-	ld hl, Unknown_60b45 ; $4b45
+	ld hl, CoordsData_60b45 ; $4b45
 	call ArePlayerCoordsInArray
 	jp nc, CheckFightingMapTrainers
 	xor a
@@ -95671,8 +97985,10 @@ INCBIN "baserom.gbc",$60b0d,$60b17 - $60b0d
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_60b45: ; 60b45 (18:4b45)
-INCBIN "baserom.gbc",$60b45,$60b48 - $60b45
+CoordsData_60b45: ; 60b45 (18:4b45)
+	db $10,$0A,$FF
+
+PokemonTower6Script4: ; 60b48 (18:4b48)
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
 	jp z, Func_60b02
@@ -95713,10 +98029,24 @@ INCBIN "baserom.gbc",$60b45,$60b48 - $60b45
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-INCBIN "baserom.gbc",$60ba1,$60bb1 - $60ba1
+PokemonTower6Script3: ; 60ba1 (18:4ba1)
+	ld a, [$cd38]
+	and a
+	ret nz
+	call Delay3
+	xor a
+	ld [W_POKEMONTOWER6CURSCRIPT], a
+	ld [W_CURMAPSCRIPT], a
+	ret
 
-PokemonTower6Texts: ; 60bb1 (18:4bb1)
-	dw PokemonTower6Text1, PokemonTower6Text2, PokemonTower6Text3, Predef5CText, Predef5CText, PokemonTower6Text6, PokemonTower6Text7
+PokemonTower6TextPointers: ; 60bb1 (18:4bb1)
+	dw PokemonTower6Text1
+	dw PokemonTower6Text2
+	dw PokemonTower6Text3
+	dw Predef5CText
+	dw Predef5CText
+	dw PokemonTower6Text6
+	dw PokemonTower6Text7
 
 PokemonTower6TrainerHeaders: ; 60bbf (18:4bbf)
 PokemonTower6TrainerHeader0: ; 60bbf (18:4bbf)
@@ -95746,7 +98076,7 @@ PokemonTower6TrainerHeader2: ; 60bd7 (18:4bd7)
 	dw PokemonTower6EndBattleText3 ; 0x4c4c TextEndBattle
 	dw PokemonTower6EndBattleText3 ; 0x4c4c TextEndBattle
 
-db $ff
+	db $ff
 
 PokemonTower6Text1: ; 60be4 (18:4be4)
 	db $08 ; asm
@@ -95855,7 +98185,7 @@ INCBIN "baserom.gbc",$60cef,$60cf9 - $60cef
 PokemonTower7_h: ; 0x60cf9 to 0x60d05 (12 bytes) (id=148)
 	db $0f ; tileset
 	db POKEMONTOWER_7_HEIGHT, POKEMONTOWER_7_WIDTH ; dimensions (y, x)
-	dw PokemonTower7Blocks, PokemonTower7Texts, PokemonTower7Script ; blocks, texts, scripts
+	dw PokemonTower7Blocks, PokemonTower7TextPointers, PokemonTower7Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PokemonTower7Object ; objects
@@ -95863,7 +98193,7 @@ PokemonTower7_h: ; 0x60cf9 to 0x60d05 (12 bytes) (id=148)
 PokemonTower7Script: ; 60d05 (18:4d05)
 	call EnableAutoTextBoxDrawing
 	ld hl, PokemonTower7TrainerHeaders
-	ld de, Unknown_60d23 ; $4d23
+	ld de, PokemonTower7ScriptPointers
 	ld a, [W_POKEMONTOWER7CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_POKEMONTOWER7CURSCRIPT], a
@@ -95876,8 +98206,14 @@ Func_60d18: ; 60d18 (18:4d18)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_60d23: ; 60d23 (18:4d23)
-INCBIN "baserom.gbc",$60d23,$60d2d - $60d23
+PokemonTower7ScriptPointers: ; 60d23 (18:4d23)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw PokemonTower7Script2
+	dw PokemonTower7Script3
+	dw PokemonTower7Script4
+
+PokemonTower7Script2: ; 60d23 (18:4d23)
 	ld hl, wFlags_0xcd60
 	res 0, [hl]
 	ld a, [W_ISINBATTLE] ; $d057
@@ -95894,6 +98230,8 @@ INCBIN "baserom.gbc",$60d23,$60d2d - $60d23
 	ld [W_POKEMONTOWER7CURSCRIPT], a
 	ld [W_CURMAPSCRIPT], a
 	ret
+
+PokemonTower7Script3: ; 60d56 (18:4d56)
 	ld a, [$d730]
 	bit 0, a
 	ret nz
@@ -95917,6 +98255,8 @@ INCBIN "baserom.gbc",$60d23,$60d2d - $60d23
 	ld [W_POKEMONTOWER7CURSCRIPT], a
 	ld [W_CURMAPSCRIPT], a
 	ret
+
+PokemonTower7Script4: ; 60d86 (18:4d86)
 	ld a, $ff
 	ld [wJoypadForbiddenButtonsMask], a
 	ld a, $43
@@ -95939,7 +98279,7 @@ INCBIN "baserom.gbc",$60d23,$60d2d - $60d23
 	ret
 
 Func_60db6: ; 60db6 (18:4db6)
-	ld hl, Unknown_60de3 ; $4de3
+	ld hl, CoordsData_60de3 ; $4de3
 	ld a, [$cf13]
 	dec a
 	swap a
@@ -95970,11 +98310,55 @@ Func_60db6: ; 60db6 (18:4db6)
 	inc hl
 	jr .asm_60dcb
 
-Unknown_60de3: ; 60de3 (18:4de3)
-INCBIN "baserom.gbc",$60de3,$60e3f - $60de3
+CoordsData_60de3: ; 60de3 (18:4de3)
+	db $0C,$09
+	dw MovementData_60e13
+	db $0B,$0A
+	dw MovementData_60e1b
+	db $0B,$0B
+	dw MovementData_60e22
+	db $0B,$0C
+	dw MovementData_60e22
+	db $0A,$0C
+	dw MovementData_60e28
+	db $09,$0B
+	dw MovementData_60e30
+	db $09,$0A
+	dw MovementData_60e22
+	db $09,$09
+	dw MovementData_60e22
+	db $08,$09
+	dw MovementData_60e37
+	db $07,$0A
+	dw MovementData_60e22
+	db $07,$0B
+	dw MovementData_60e22
+	db $07,$0C
+	dw MovementData_60e22
 
-PokemonTower7Texts: ; 60e3f (18:4e3f)
-	dw PokemonTower7Text1, PokemonTower7Text2, PokemonTower7Text3, PokemonTower7Text4
+MovementData_60e13: ; 60e13
+	db $C0,$00,$00,$00,$00,$00,$80,$FF
+
+MovementData_60e1b: ; 60e1b
+	db $00,$C0,$00,$00,$00,$00,$FF
+
+MovementData_60e22: ; 60e22
+	db $00,$00,$00,$00,$00,$FF
+
+MovementData_60e28: ; 60e28
+	db $80,$00,$00,$00,$00,$00,$00,$FF
+
+MovementData_60e30: ; 60e30
+	db $00,$00,$00,$80,$00,$00,$FF
+
+MovementData_60e37: ; 60e37
+	db $C0,$00,$00,$00,$00,$00,$00,$FF
+
+PokemonTower7TextPointers: ; 60e3f (18:4e3f)
+	dw PokemonTower7Text1
+	dw PokemonTower7Text2
+	dw PokemonTower7Text3
+	dw PokemonTower7Text4
 
 PokemonTower7TrainerHeaders: ; 60e47 (18:4e47)
 PokemonTower7TrainerHeader0: ; 60e47 (18:4e47)
@@ -96004,7 +98388,7 @@ PokemonTower7TrainerHeader2: ; 60e5f (18:4e5f)
 	dw PokemonTower7EndBattleText3 ; 0x4eec TextEndBattle
 	dw PokemonTower7EndBattleText3 ; 0x4eec TextEndBattle
 
-db $ff
+	db $ff
 
 PokemonTower7Text1: ; 60e6c (18:4e6c)
 	db $08 ; asm
@@ -96112,7 +98496,7 @@ PokemonTower7Blocks: ; 60f20 (18:4f20)
 CeladonMart1_h: ; 0x60f7a to 0x60f86 (12 bytes) (id=122)
 	db $12 ; tileset
 	db CELADON_MART_1_HEIGHT, CELADON_MART_1_WIDTH ; dimensions (y, x)
-	dw CeladonMart1Blocks, CeladonMart1Texts, CeladonMart1Script ; blocks, texts, scripts
+	dw CeladonMart1Blocks, CeladonMart1TextPointers, CeladonMart1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeladonMart1Object ; objects
@@ -96120,8 +98504,10 @@ CeladonMart1_h: ; 0x60f7a to 0x60f86 (12 bytes) (id=122)
 CeladonMart1Script: ; 60f86 (18:4f86)
 	jp EnableAutoTextBoxDrawing
 
-CeladonMart1Texts: ; 60f89 (18:4f89)
-	dw CeladonMart1Text1, CeladonMart1Text2, CeladonMart1Text3
+CeladonMart1TextPointers: ; 60f89 (18:4f89)
+	dw CeladonMart1Text1
+	dw CeladonMart1Text2
+	dw CeladonMart1Text3
 
 CeladonMart1Text1: ; 60f8f (18:4f8f)
 	TX_FAR _CeladonMart1Text1
@@ -96295,7 +98681,7 @@ LoadFossilItemAndMonName: ; 610eb (18:50eb)
 ViridianForest_h: ; 0x61101 to 0x6110d (12 bytes) (id=51)
 	db $03 ; tileset
 	db VIRIDIAN_FOREST_HEIGHT, VIRIDIAN_FOREST_WIDTH ; dimensions (y, x)
-	dw ViridianForestBlocks, ViridianForestTexts, ViridianForestScript ; blocks, texts, scripts
+	dw ViridianForestBlocks, ViridianForestTextPointers, ViridianForestScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw ViridianForestObject ; objects
@@ -96303,17 +98689,32 @@ ViridianForest_h: ; 0x61101 to 0x6110d (12 bytes) (id=51)
 ViridianForestScript: ; 6110d (18:510d)
 	call EnableAutoTextBoxDrawing
 	ld hl, ViridianForestTrainerHeaders
-	ld de, ViridianForestScript_Unknown61120
+	ld de, ViridianForestScriptPointers
 	ld a, [W_VIRIDIANFORESTCURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_VIRIDIANFORESTCURSCRIPT], a
 	ret
 
-ViridianForestScript_Unknown61120: ; 61120 (18:5120)
-INCBIN "baserom.gbc",$61120,$61126 - $61120
+ViridianForestScriptPointers: ; 61120 (18:5120)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-ViridianForestTexts: ; 61126 (18:5126)
-	dw ViridianForestText1, ViridianForestText2, ViridianForestText3, ViridianForestText4, Predef5CText, Predef5CText, Predef5CText, ViridianForestText8, ViridianForestText9, ViridianForestText10, ViridianForestText11, ViridianForestText12, ViridianForestText13, ViridianForestText14
+ViridianForestTextPointers: ; 61126 (18:5126)
+	dw ViridianForestText1
+	dw ViridianForestText2
+	dw ViridianForestText3
+	dw ViridianForestText4
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw ViridianForestText8
+	dw ViridianForestText9
+	dw ViridianForestText10
+	dw ViridianForestText11
+	dw ViridianForestText12
+	dw ViridianForestText13
+	dw ViridianForestText14
 
 ViridianForestTrainerHeaders: ; 61142 (18:5142)
 ViridianForestTrainerHeader0: ; 61142 (18:5142)
@@ -96343,7 +98744,7 @@ ViridianForestTrainerHeader2: ; 6115a (18:515a)
 	dw ViridianForestEndBattleText3 ; 0x51ad TextEndBattle
 	dw ViridianForestEndBattleText3 ; 0x51ad TextEndBattle
 
-db $ff
+	db $ff
 
 ViridianForestText1: ; 61167 (18:5167)
 	TX_FAR _ViridianForestText1
@@ -96480,7 +98881,7 @@ ViridianForestObject: ; 0x611da (size=127)
 SSAnne1_h: ; 0x61259 to 0x61265 (12 bytes) (id=95)
 	db $0d ; tileset
 	db SS_ANNE_1_HEIGHT, SS_ANNE_1_WIDTH ; dimensions (y, x)
-	dw SSAnne1Blocks, SSAnne1Texts, SSAnne1Script ; blocks, texts, scripts
+	dw SSAnne1Blocks, SSAnne1TextPointers, SSAnne1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SSAnne1Object ; objects
@@ -96489,8 +98890,9 @@ SSAnne1Script: ; 61265 (18:5265)
 	call EnableAutoTextBoxDrawing
 	ret
 
-SSAnne1Texts: ; 61269 (18:5269)
-	dw SSAnne1Text1, SSAnne1Text2
+SSAnne1TextPointers: ; 61269 (18:5269)
+	dw SSAnne1Text1
+	dw SSAnne1Text2
 
 SSAnne1Text1: ; 6126d (18:526d)
 	TX_FAR _SSAnne1Text1
@@ -96541,14 +98943,14 @@ SSAnne1Blocks: ; 612df (18:52df)
 SSAnne2_h: ; 0x61393 to 0x6139f (12 bytes) (id=96)
 	db $0d ; tileset
 	db SS_ANNE_2_HEIGHT, SS_ANNE_2_WIDTH ; dimensions (y, x)
-	dw SSAnne2Blocks, SSAnne2Texts, SSAnne2Script ; blocks, texts, scripts
+	dw SSAnne2Blocks, SSAnne2TextPointers, SSAnne2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SSAnne2Object ; objects
 
 SSAnne2Script: ; 6139f (18:539f)
 	call EnableAutoTextBoxDrawing
-	ld hl, SSAnne2Scripts
+	ld hl, SSAnne2ScriptPointers
 	ld a, [W_SSANNE2CURSCRIPT]
 	jp CallFunctionInTable
 
@@ -96558,14 +98960,18 @@ Func_613ab: ; 613ab (18:53ab)
 	ld [W_SSANNE2CURSCRIPT], a
 	ret
 
-SSAnne2Scripts: ; 613b3 (18:53b3)
-	dw SSAnne2Script0, SSAnne2Script1, SSAnne2Script2, SSAnne2Script3, SSAnne2Script4
+SSAnne2ScriptPointers: ; 613b3 (18:53b3)
+	dw SSAnne2Script0
+	dw SSAnne2Script1
+	dw SSAnne2Script2
+	dw SSAnne2Script3
+	dw SSAnne2Script4
 
 SSAnne2Script4: ; 613bd (18:53bd)
 	ret
 
 SSAnne2Script0: ; 613be (18:53be)
-	ld hl, Unknown_61411 ; $5411
+	ld hl, CoordsData_61411 ; $5411
 	call ArePlayerCoordsInArray
 	ret nc
 	ld a, $ff
@@ -96591,24 +98997,24 @@ SSAnne2Script0: ; 613be (18:53be)
 	ld a, [$ff00+$db]
 	cp $2
 	jr nz, .asm_61400 ; 0x613f9 $5
-	ld de, Unknown_6140c ; $540c
+	ld de, MovementData_6140c
 	jr .asm_61403 ; 0x613fe $3
 .asm_61400
-	ld de, Unknown_6140d ; $540d
+	ld de, MovementData_6140d
 .asm_61403
 	call MoveSprite
 	ld a, $1
 	ld [W_SSANNE2CURSCRIPT], a
 	ret
 
-Unknown_6140c: ; 6140c (18:540c)
-INCBIN "baserom.gbc",$6140c,$6140d - $6140c
+MovementData_6140c: ; 6140c (18:540c)
+	db $00
 
-Unknown_6140d: ; 6140d (18:540d)
-INCBIN "baserom.gbc",$6140d,$61411 - $6140d
+MovementData_6140d: ; 6140d (18:540d)
+	db $00,$00,$00,$FF
 
-Unknown_61411: ; 61411 (18:5411)
-INCBIN "baserom.gbc",$61411,$61416 - $61411
+CoordsData_61411: ; 61411 (18:5411)
+	db $08,$24,$08,$25,$FF
 
 Func_61416: ; 61416 (18:5416)
 	ld a, [W_XCOORD] ; $d362
@@ -96677,10 +99083,10 @@ SSAnne2Script2: ; 6146d (18:546d)
 	ld a, [$d362]
 	cp $25
 	jr nz, .asm_61497 ; 0x61490 $5
-	ld de, Unknown_614b9 ; $54b9
+	ld de, MovementData_614b9
 	jr .asm_6149a ; 0x61495 $3
 .asm_61497
-	ld de, Unknown_614b7 ; $54b7
+	ld de, MovementData_614b7
 .asm_6149a
 	ld a, $2
 	ld [$ff00+$8c], a
@@ -96695,11 +99101,11 @@ SSAnne2Script2: ; 6146d (18:546d)
 	ld [W_SSANNE2CURSCRIPT], a
 	ret
 
-Unknown_614b7: ; 614b7 (18:54b7)
-INCBIN "baserom.gbc",$614b7,$614b9 - $614b7
+MovementData_614b7: ; 614b7 (18:54b7)
+	db $C0,$00
 
-Unknown_614b9: ; 614b9 (18:54b9)
-INCBIN "baserom.gbc",$614b9,$614be - $614b9
+MovementData_614b9: ; 614b9 (18:54b9)
+	db $00,$00,$00,$00,$FF
 
 SSAnne2Script3: ; 614be (18:54be)
 	ld a, [$d730]
@@ -96716,8 +99122,10 @@ SSAnne2Script3: ; 614be (18:54be)
 	ld [W_SSANNE2CURSCRIPT], a
 	ret
 
-SSAnne2Texts: ; 614db (18:54db)
-	dw SSAnne2Text1, SSAnne2Text2, SSAnne2Text3
+SSAnne2TextPointers: ; 614db (18:54db)
+	dw SSAnne2Text1
+	dw SSAnne2Text2
+	dw SSAnne2Text3
 
 SSAnne2Text1: ; 614e1 (18:54e1)
 	TX_FAR _SSAnne2Text1
@@ -96788,7 +99196,7 @@ SSAnne2Blocks: ; 6156e (18:556e)
 SSAnne4_h: ; 0x61622 to 0x6162e (12 bytes) (id=98)
 	db $0d ; tileset
 	db SS_ANNE_4_HEIGHT, SS_ANNE_4_WIDTH ; dimensions (y, x)
-	dw SSAnne4Blocks, SSAnne4Texts, SSAnne4Script ; blocks, texts, scripts
+	dw SSAnne4Blocks, SSAnne4TextPointers, SSAnne4Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SSAnne4Object ; objects
@@ -96796,7 +99204,7 @@ SSAnne4_h: ; 0x61622 to 0x6162e (12 bytes) (id=98)
 SSAnne4Script: ; 6162e (18:562e)
 	jp EnableAutoTextBoxDrawing
 
-SSAnne4Texts: ; 61631 (18:5631)
+SSAnne4TextPointers: ; 61631 (18:5631)
 	db "@"
 
 SSAnne4Object: ; 0x61632 (size=52)
@@ -96828,7 +99236,7 @@ SSAnne4Blocks: ; 61666 (18:5666)
 SSAnne5_h: ; 0x616a2 to 0x616ae (12 bytes) (id=99)
 	db $0d ; tileset
 	db SS_ANNE_5_HEIGHT, SS_ANNE_5_WIDTH ; dimensions (y, x)
-	dw SSAnne5Blocks, SSAnne5Texts, SSAnne5Script ; blocks, texts, scripts
+	dw SSAnne5Blocks, SSAnne5TextPointers, SSAnne5Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SSAnne5Object ; objects
@@ -96836,17 +99244,23 @@ SSAnne5_h: ; 0x616a2 to 0x616ae (12 bytes) (id=99)
 SSAnne5Script: ; 616ae (18:56ae)
 	call EnableAutoTextBoxDrawing
 	ld hl, SSAnneTrainerHeader0 ; $56d1
-	ld de, SSAnne5Script_Unknown616c1
+	ld de, SSAnne5ScriptPointers
 	ld a, [W_SSANNE5CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_SSANNE5CURSCRIPT], a
 	ret
 
-SSAnne5Script_Unknown616c1: ; 616c1 (18:56c1)
-INCBIN "baserom.gbc",$616c1,$616c7 - $616c1
+SSAnne5ScriptPointers: ; 616c1 (18:56c1)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-SSAnne5Texts: ; 616c7 (18:56c7)
-	dw SSAnne5Text1, SSAnne5Text2, SSAnne5Text3, SSAnne5Text4, SSAnne5Text5
+SSAnne5TextPointers: ; 616c7 (18:56c7)
+	dw SSAnne5Text1
+	dw SSAnne5Text2
+	dw SSAnne5Text3
+	dw SSAnne5Text4
+	dw SSAnne5Text5
 
 SSAnneTrainerHeaders: ; 616d1 (18:56d1)
 SSAnneTrainerHeader0: ; 616d1 (18:56d1)
@@ -96867,7 +99281,7 @@ SSAnneTrainerHeader1: ; 616dd (18:56dd)
 	dw SSAnneEndBattleText2 ; 0x5721 TextEndBattle
 	dw SSAnneEndBattleText2 ; 0x5721 TextEndBattle
 
-db $ff
+	db $ff
 
 SSAnne5Text1: ; 616ea (18:56ea)
 	TX_FAR _SSAnne5Text1
@@ -96943,7 +99357,7 @@ SSAnne5Blocks: ; 61761 (18:5761)
 SSAnne6_h: ; 0x617a7 to 0x617b3 (12 bytes) (id=100)
 	db $0d ; tileset
 	db SS_ANNE_6_HEIGHT, SS_ANNE_6_WIDTH ; dimensions (y, x)
-	dw SSAnne6Blocks, SSAnne6Texts, SSAnne6Script ; blocks, texts, scripts
+	dw SSAnne6Blocks, SSAnne6TextPointers, SSAnne6Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SSAnne6Object ; objects
@@ -96952,8 +99366,14 @@ SSAnne6Script: ; 617b3 (18:57b3)
 	call EnableAutoTextBoxDrawing
 	ret
 
-SSAnne6Texts: ; 617b7 (18:57b7)
-	dw SSAnne6Text1, SSAnne6Text2, SSAnne6Text3, SSAnne6Text4, SSAnne6Text5, SSAnne6Text6, SSAnne6Text7
+SSAnne6TextPointers: ; 617b7 (18:57b7)
+	dw SSAnne6Text1
+	dw SSAnne6Text2
+	dw SSAnne6Text3
+	dw SSAnne6Text4
+	dw SSAnne6Text5
+	dw SSAnne6Text6
+	dw SSAnne6Text7
 
 SSAnne6Text1: ; 617c5 (18:57c5)
 	TX_FAR _SSAnne6Text1
@@ -97041,16 +99461,16 @@ SSAnne6Blocks: ; 61851 (18:5851)
 SSAnne7_h: ; 0x61889 to 0x61895 (12 bytes) (id=101)
 	db $0d ; tileset
 	db SS_ANNE_7_HEIGHT, SS_ANNE_7_WIDTH ; dimensions (y, x)
-	dw SSAnne7Blocks, SSAnne7Texts, SSAnne7Script ; blocks, texts, scripts
+	dw SSAnne7Blocks, SSAnne7TextPointers, SSAnne7Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SSAnne7Object ; objects
 
 SSAnne7Script: ; 61895 (18:5895)
-	call SSAnne7Script_Unknown6189b
+	call SSAnne7Script_6189b
 	jp EnableAutoTextBoxDrawing
 
-SSAnne7Script_Unknown6189b: ; 6189b (18:589b)
+SSAnne7Script_6189b: ; 6189b (18:589b)
 	ld a, [$d803]
 	bit 1, a
 	ret nz
@@ -97058,8 +99478,10 @@ SSAnne7Script_Unknown6189b: ; 6189b (18:589b)
 	set 5, [hl]
 	ret
 
-SSAnne7Texts: ; 618a7 (18:58a7)
-	dw SSAnne7Text1, SSAnne7Text2, SSAnne7Text3
+SSAnne7TextPointers: ; 618a7 (18:58a7)
+	dw SSAnne7Text1
+	dw SSAnne7Text2
+	dw SSAnne7Text3
 
 SSAnne7Text1: ; 618ad (18:58ad)
 	db $08 ; asm
@@ -97163,7 +99585,7 @@ SSAnne7Blocks: ; 6195e (18:595e)
 SSAnne8_h: ; 0x6196a to 0x61976 (12 bytes) (id=102)
 	db $0d ; tileset
 	db SS_ANNE_8_HEIGHT, SS_ANNE_8_WIDTH ; dimensions (y, x)
-	dw SSAnne8Blocks, SSAnne8Texts, SSAnne8Script ; blocks, texts, scripts
+	dw SSAnne8Blocks, SSAnne8TextPointers, SSAnne8Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SSAnne8Object ; objects
@@ -97171,17 +99593,29 @@ SSAnne8_h: ; 0x6196a to 0x61976 (12 bytes) (id=102)
 SSAnne8Script: ; 61976 (18:5976)
 	call EnableAutoTextBoxDrawing
 	ld hl, SSAnne8TrainerHeaders
-	ld de, SSAnne8Script_Unknown61989
+	ld de, SSAnne8ScriptPointers
 	ld a, [W_SSANNE8CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_SSANNE8CURSCRIPT], a
 	ret
 
-SSAnne8Script_Unknown61989: ; 61989 (18:5989)
-INCBIN "baserom.gbc",$61989,$6198f - $61989
+SSAnne8ScriptPointers: ; 61989 (18:5989)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-SSAnne8Texts: ; 6198f (18:598f)
-	dw SSAnne8Text1, SSAnne8Text2, SSAnne8Text3, SSAnne8Text4, SSAnne8Text5, SSAnne8Text6, SSAnne8Text7, SSAnne8Text8, SSAnne8Text9, Predef5CText, SSAnne8Text11
+SSAnne8TextPointers: ; 6198f (18:598f)
+	dw SSAnne8Text1
+	dw SSAnne8Text2
+	dw SSAnne8Text3
+	dw SSAnne8Text4
+	dw SSAnne8Text5
+	dw SSAnne8Text6
+	dw SSAnne8Text7
+	dw SSAnne8Text8
+	dw SSAnne8Text9
+	dw Predef5CText
+	dw SSAnne8Text11
 
 SSAnne8TrainerHeaders: ; 619a5 (18:59a5)
 SSAnne8TrainerHeader0: ; 619a5 (18:59a5)
@@ -97220,7 +99654,7 @@ SSAnne8TrainerHeader3: ; 619c9 (18:59c9)
 	dw SSAnne8EndBattleText4 ; 0x5a3d TextEndBattle
 	dw SSAnne8EndBattleText4 ; 0x5a3d TextEndBattle
 
-db $ff
+	db $ff
 
 SSAnne8Text1: ; 619d6 (18:59d6)
 	db $08 ; asm
@@ -97361,7 +99795,7 @@ SSAnne8Blocks: ; 61adf (18:5adf)
 SSAnne9_h: ; 0x61b3f to 0x61b4b (12 bytes) (id=103)
 	db $0d ; tileset
 	db SS_ANNE_9_HEIGHT, SS_ANNE_9_WIDTH ; dimensions (y, x)
-	dw SSAnne9Blocks, SSAnne9Texts, SSAnne9Script ; blocks, texts, scripts
+	dw SSAnne9Blocks, SSAnne9TextPointers, SSAnne9Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SSAnne9Object ; objects
@@ -97372,17 +99806,31 @@ SSAnne9Script: ; 61b4b (18:5b4b)
 	xor a
 	ld [$cc3c], a
 	ld hl, SSAnne9TrainerHeaders
-	ld de, SSAnne9Script_Unknown61b64
+	ld de, SSAnne9ScriptPointers
 	ld a, [W_SSANNE9CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_SSANNE9CURSCRIPT], a
 	ret
 
-SSAnne9Script_Unknown61b64: ; 61b64 (18:5b64)
-INCBIN "baserom.gbc",$61b64,$61b6a - $61b64
+SSAnne9ScriptPointers: ; 61b64 (18:5b64)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-SSAnne9Texts: ; 61b6a (18:5b6a)
-	dw SSAnne9Text1, SSAnne9Text2, SSAnne9Text3, SSAnne9Text4, SSAnne9Text5, Predef5CText, SSAnne9Text7, SSAnne9Text8, Predef5CText, SSAnne9Text10, SSAnne9Text11, SSAnne9Text12, SSAnne9Text13
+SSAnne9TextPointers: ; 61b6a (18:5b6a)
+	dw SSAnne9Text1
+	dw SSAnne9Text2
+	dw SSAnne9Text3
+	dw SSAnne9Text4
+	dw SSAnne9Text5
+	dw Predef5CText
+	dw SSAnne9Text7
+	dw SSAnne9Text8
+	dw Predef5CText
+	dw SSAnne9Text10
+	dw SSAnne9Text11
+	dw SSAnne9Text12
+	dw SSAnne9Text13
 
 SSAnne9TrainerHeaders: ; 61b84 (18:5b84)
 SSAnne9TrainerHeader0: ; 61b84 (18:5b84)
@@ -97421,8 +99869,7 @@ SSAnne9TrainerHeader3: ; 61ba8 (18:5ba8)
 	dw SSAnne9EndBattleText4 ; 0x5c83 TextEndBattle
 	dw SSAnne9EndBattleText4 ; 0x5c83 TextEndBattle
 
-
-db $ff
+	db $ff
 
 SSAnne9Text1: ; 61bb5 (18:5bb5)
 	db $08 ; asm
@@ -97621,7 +100068,7 @@ SSAnne9Object: ; 0x61c8d (size=188)
 SSAnne10_h: ; 0x61d49 to 0x61d55 (12 bytes) (id=104)
 	db $0d ; tileset
 	db SS_ANNE_10_HEIGHT, SS_ANNE_10_WIDTH ; dimensions (y, x)
-	dw SSAnne10Blocks, SSAnne10Texts, SSAnne10Script ; blocks, texts, scripts
+	dw SSAnne10Blocks, SSAnne10TextPointers, SSAnne10Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SSAnne10Object ; objects
@@ -97629,17 +100076,29 @@ SSAnne10_h: ; 0x61d49 to 0x61d55 (12 bytes) (id=104)
 SSAnne10Script: ; 61d55 (18:5d55)
 	call EnableAutoTextBoxDrawing
 	ld hl, SSAnne10TrainerHeaders
-	ld de, SSAnne10Script_Unknown61d68
+	ld de, SSAnne10ScriptPointers
 	ld a, [W_SSANNE10CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_SSANNE10CURSCRIPT], a
 	ret
 
-SSAnne10Script_Unknown61d68: ; 61d68 (18:5d68)
-INCBIN "baserom.gbc",$61d68,$61d6e - $61d68
+SSAnne10ScriptPointers: ; 61d68 (18:5d68)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-SSAnne10Texts: ; 61d6e (18:5d6e)
-	dw SSAnne10Text1, SSAnne10Text2, SSAnne10Text3, SSAnne10Text4, SSAnne10Text5, SSAnne10Text6, SSAnne10Text7, SSAnne10Text8, Predef5CText, Predef5CText, Predef5CText
+SSAnne10TextPointers: ; 61d6e (18:5d6e)
+	dw SSAnne10Text1
+	dw SSAnne10Text2
+	dw SSAnne10Text3
+	dw SSAnne10Text4
+	dw SSAnne10Text5
+	dw SSAnne10Text6
+	dw SSAnne10Text7
+	dw SSAnne10Text8
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
 
 SSAnne10TrainerHeaders: ; 61d84 (18:5d84)
 SSAnne10TrainerHeader0: ; 61d84 (18:5d84)
@@ -97696,7 +100155,7 @@ SSAnne10TrainerHeader5: ; 61dc0 (18:5dc0)
 	dw SSAnne10EndBattleText6 ; 0x5e66 TextEndBattle
 	dw SSAnne10EndBattleText6 ; 0x5e66 TextEndBattle
 
-db $ff
+	db $ff
 
 SSAnne10Text1: ; 61dcd (18:5dcd)
 	db $08 ; asm
